/*---------------------------------------------------------------------------

    Filename: main.js
    Project:  Digg Import
    (C) Copyright 2008, Kirix Corporation, All Rights Reserved.

    Summary:         Bootstrapper script to run the Digg Import extension
    Developer(s):    Jeff Engel

---------------------------------------------------------------------------*/


include "digg_import.js";
include "digg_import_ui.js";
include "utils/confirm.js";
include "utils/datepicker.js";
include "utils/tools_menu_inserter.js";



// main entry point to the program; launch the program, either immediately if
// run as as script or else install to the tools menu if run as an extension
if (Extension.isContextPackage())
{
    // program is running as an extension, install to the "Tools" menu
    var menu_item = insertToolsMenuItem("Import Digg...");

    // when triggered, display the main form
    menu_item.click.connect(
        function()
        {
            new DiggImportForm;
        });
}
 else
{
    // program is running as a script, display the form immediately
    new DiggImportForm;
}

// start the main application loop
Application.run();
